import { filterUnsetValues } from "./filterUnsetValues";

describe("filterUnsetValues", () => {
  it("removes undefined, null, and empty string", () => {
    expect(
      filterUnsetValues({
        a: 1,
        b: undefined,
        c: null,
        d: "",
        e: 0,
        f: false,
      }),
    ).toEqual({ a: 1, e: 0, f: false });
  });
});
